diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmPbkdf2Params.h webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmPbkdf2Params.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmPbkdf2Params.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmPbkdf2Params.h	2024-03-26 13:31:44.440849373 -0500
@@ -31,6 +31,8 @@
 #include <JavaScriptCore/Strong.h>
 #include <wtf/Vector.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmPbkdf2Params final : public CryptoAlgorithmParameters {
@@ -70,3 +72,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(Pbkdf2Params)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaHashedImportParams.h webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaHashedImportParams.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaHashedImportParams.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaHashedImportParams.h	2024-03-26 13:31:44.440849373 -0500
@@ -30,6 +30,8 @@
 #include <JavaScriptCore/Strong.h>
 #include <variant>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmRsaHashedImportParams final : public CryptoAlgorithmParameters {
@@ -53,3 +55,5 @@ public:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(RsaHashedImportParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaHashedKeyGenParams.h webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaHashedKeyGenParams.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaHashedKeyGenParams.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaHashedKeyGenParams.h	2024-03-26 13:31:44.440849373 -0500
@@ -30,6 +30,8 @@
 #include <JavaScriptCore/Strong.h>
 #include <variant>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmRsaHashedKeyGenParams final : public CryptoAlgorithmRsaKeyGenParams {
@@ -44,3 +46,5 @@ public:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(RsaHashedKeyGenParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaKeyGenParams.h webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaKeyGenParams.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaKeyGenParams.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaKeyGenParams.h	2024-03-26 13:31:44.440849373 -0500
@@ -29,6 +29,8 @@
 #include <JavaScriptCore/Uint8Array.h>
 #include <wtf/Vector.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmRsaKeyGenParams : public CryptoAlgorithmParameters {
@@ -53,3 +55,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(RsaKeyGenParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaOaepParams.h webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaOaepParams.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaOaepParams.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaOaepParams.h	2024-03-26 13:31:44.444182736 -0500
@@ -29,6 +29,8 @@
 #include "CryptoAlgorithmParameters.h"
 #include <wtf/Vector.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmRsaOaepParams final : public CryptoAlgorithmParameters {
@@ -68,3 +70,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(RsaOaepParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaPssParams.h webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaPssParams.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaPssParams.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmRsaPssParams.h	2024-03-26 13:31:44.444182736 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithmParameters.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmRsaPssParams final : public CryptoAlgorithmParameters {
@@ -48,3 +50,5 @@ public:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(RsaPssParams)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmX25519Params.h webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmX25519Params.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/CryptoAlgorithmX25519Params.h	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/CryptoAlgorithmX25519Params.h	2024-03-26 13:31:44.444182736 -0500
@@ -25,6 +25,8 @@
 #include <JavaScriptCore/Strong.h>
 #include <variant>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmX25519Params final : public CryptoAlgorithmParameters {
@@ -36,3 +38,5 @@ public:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_ALGORITHM_PARAMETERS(X25519Params)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/EcdhKeyDeriveParams.idl webkitgtk-2.44.0/Source/WebCore/crypto/parameters/EcdhKeyDeriveParams.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/EcdhKeyDeriveParams.idl	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/EcdhKeyDeriveParams.idl	2024-03-26 13:31:44.444182736 -0500
@@ -24,6 +24,7 @@
  */
 
 [
+    Conditional=WEB_CRYPTO,
     ImplementedAs=CryptoAlgorithmEcdhKeyDeriveParams,
 ] dictionary EcdhKeyDeriveParams : CryptoAlgorithmParameters {
     // We should rename this to public once https://bugs.webkit.org/show_bug.cgi?id=169333 is fixed.
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/EcdsaParams.idl webkitgtk-2.44.0/Source/WebCore/crypto/parameters/EcdsaParams.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/EcdsaParams.idl	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/EcdsaParams.idl	2024-03-26 13:31:44.444182736 -0500
@@ -26,6 +26,7 @@
 typedef (object or DOMString) HashAlgorithmIdentifier;
 
 [
+    Conditional=WEB_CRYPTO,
     ImplementedAs=CryptoAlgorithmEcdsaParams
 ] dictionary EcdsaParams : CryptoAlgorithmParameters {
     // The hash algorithm to use
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/EcKeyParams.idl webkitgtk-2.44.0/Source/WebCore/crypto/parameters/EcKeyParams.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/EcKeyParams.idl	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/EcKeyParams.idl	2024-03-26 13:31:44.444182736 -0500
@@ -27,6 +27,7 @@
 // https://www.w3.org/TR/WebCryptoAPI/#EcKeyImportParams-dictionary, and
 // https://www.w3.org/TR/WebCryptoAPI/#EcKeyGenParams-dictionary
 [
+    Conditional=WEB_CRYPTO,
     ImplementedAs=CryptoAlgorithmEcKeyParams
 ] dictionary EcKeyParams : CryptoAlgorithmParameters {
     required DOMString namedCurve;
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/HkdfParams.idl webkitgtk-2.44.0/Source/WebCore/crypto/parameters/HkdfParams.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/HkdfParams.idl	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/HkdfParams.idl	2024-03-26 13:31:44.444182736 -0500
@@ -26,6 +26,7 @@
 typedef (object or DOMString) HashAlgorithmIdentifier;
 
 [
+    Conditional=WEB_CRYPTO,
     ImplementedAs=CryptoAlgorithmHkdfParams,
 ] dictionary HkdfParams : CryptoAlgorithmParameters {
     // The algorithm to use with HMAC (e.g.: SHA-256)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/HmacKeyParams.idl webkitgtk-2.44.0/Source/WebCore/crypto/parameters/HmacKeyParams.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/HmacKeyParams.idl	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/HmacKeyParams.idl	2024-03-26 13:31:44.444182736 -0500
@@ -29,6 +29,7 @@ typedef (object or DOMString) HashAlgori
 // https://www.w3.org/TR/WebCryptoAPI/#hmac-importparams, and
 // https://www.w3.org/TR/WebCryptoAPI/#hmac-keygen-params
 [
+    Conditional=WEB_CRYPTO,
     ImplementedAs=CryptoAlgorithmHmacKeyParams
 ] dictionary HmacKeyParams : CryptoAlgorithmParameters {
     // The inner hash function to use.
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/Pbkdf2Params.idl webkitgtk-2.44.0/Source/WebCore/crypto/parameters/Pbkdf2Params.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/Pbkdf2Params.idl	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/Pbkdf2Params.idl	2024-03-26 13:31:44.444182736 -0500
@@ -26,6 +26,7 @@
 typedef (object or DOMString) HashAlgorithmIdentifier;
 
 [
+    Conditional=WEB_CRYPTO,
     ImplementedAs=CryptoAlgorithmPbkdf2Params,
 ] dictionary Pbkdf2Params : CryptoAlgorithmParameters {
     required BufferSource salt;
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/RsaHashedImportParams.idl webkitgtk-2.44.0/Source/WebCore/crypto/parameters/RsaHashedImportParams.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/RsaHashedImportParams.idl	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/RsaHashedImportParams.idl	2024-03-26 13:31:44.444182736 -0500
@@ -26,6 +26,7 @@
 typedef (object or DOMString) HashAlgorithmIdentifier;
 
 [
+    Conditional=WEB_CRYPTO,
     ImplementedAs=CryptoAlgorithmRsaHashedImportParams
 ] dictionary RsaHashedImportParams : CryptoAlgorithmParameters {
     // The hash algorithm to use
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/RsaHashedKeyGenParams.idl webkitgtk-2.44.0/Source/WebCore/crypto/parameters/RsaHashedKeyGenParams.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/RsaHashedKeyGenParams.idl	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/RsaHashedKeyGenParams.idl	2024-03-26 13:31:44.444182736 -0500
@@ -26,6 +26,7 @@
 typedef (object or DOMString) HashAlgorithmIdentifier;
 
 [
+    Conditional=WEB_CRYPTO,
     ImplementedAs=CryptoAlgorithmRsaHashedKeyGenParams
 ] dictionary RsaHashedKeyGenParams : RsaKeyGenParams {
     // The hash algorithm to use
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/RsaKeyGenParams.idl webkitgtk-2.44.0/Source/WebCore/crypto/parameters/RsaKeyGenParams.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/RsaKeyGenParams.idl	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/RsaKeyGenParams.idl	2024-03-26 13:31:44.444182736 -0500
@@ -24,6 +24,7 @@
  */
 
 [
+    Conditional=WEB_CRYPTO,
     ImplementedAs=CryptoAlgorithmRsaKeyGenParams
 ] dictionary RsaKeyGenParams : CryptoAlgorithmParameters {
     // The length, in bits, of the RSA modulus
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/RsaOaepParams.idl webkitgtk-2.44.0/Source/WebCore/crypto/parameters/RsaOaepParams.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/RsaOaepParams.idl	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/RsaOaepParams.idl	2024-03-26 13:31:44.447516099 -0500
@@ -24,6 +24,7 @@
 */
 
 [
+    Conditional=WEB_CRYPTO,
     ImplementedAs=CryptoAlgorithmRsaOaepParams
 ] dictionary RsaOaepParams : CryptoAlgorithmParameters {
     // The optional label/application data to associate with the message
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/RsaPssParams.idl webkitgtk-2.44.0/Source/WebCore/crypto/parameters/RsaPssParams.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/RsaPssParams.idl	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/RsaPssParams.idl	2024-03-26 13:31:44.450849462 -0500
@@ -24,6 +24,7 @@
  */
 
 [
+    Conditional=WEB_CRYPTO,
     ImplementedAs=CryptoAlgorithmRsaPssParams
 ] dictionary RsaPssParams : CryptoAlgorithmParameters {
     // The desired length of the random salt
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/X25519Params.idl webkitgtk-2.44.0/Source/WebCore/crypto/parameters/X25519Params.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/parameters/X25519Params.idl	2024-03-16 01:45:50.068672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/parameters/X25519Params.idl	2024-03-26 13:31:44.450849462 -0500
@@ -1,4 +1,5 @@
 [
+    Conditional=WEB_CRYPTO,
     ImplementedAs=CryptoAlgorithmX25519Params,
 ] dictionary X25519Params : CryptoAlgorithmParameters {
     required CryptoKey publicKey;
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/RsaOtherPrimesInfo.h webkitgtk-2.44.0/Source/WebCore/crypto/RsaOtherPrimesInfo.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/RsaOtherPrimesInfo.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/RsaOtherPrimesInfo.h	2024-03-26 13:31:44.450849462 -0500
@@ -27,6 +27,8 @@
 
 #include <wtf/text/WTFString.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 struct RsaOtherPrimesInfo {
@@ -36,3 +38,5 @@ struct RsaOtherPrimesInfo {
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/RsaOtherPrimesInfo.idl webkitgtk-2.44.0/Source/WebCore/crypto/RsaOtherPrimesInfo.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/RsaOtherPrimesInfo.idl	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/RsaOtherPrimesInfo.idl	2024-03-26 13:31:44.450849462 -0500
@@ -24,6 +24,7 @@
  */
 
 [
+    Conditional=WEB_CRYPTO,
     JSGenerateToJSObject,
 ] dictionary RsaOtherPrimesInfo {
     // The following fields are defined in Section 6.3.2.7 of JSON Web Algorithms
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/SerializedCryptoKeyWrap.h webkitgtk-2.44.0/Source/WebCore/crypto/SerializedCryptoKeyWrap.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/SerializedCryptoKeyWrap.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/SerializedCryptoKeyWrap.h	2024-03-26 13:31:44.450849462 -0500
@@ -28,6 +28,8 @@
 #include <wtf/Forward.h>
 #include <wtf/text/WTFString.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 // The purpose of the following APIs is to protect serialized CryptoKey data in IndexedDB or
@@ -44,3 +46,5 @@ WEBCORE_EXPORT bool wrapSerializedCrypto
 WEBCORE_EXPORT bool unwrapSerializedCryptoKey(const Vector<uint8_t>& masterKey, const Vector<uint8_t>& wrappedKey, Vector<uint8_t>& key);
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/SubtleCrypto.cpp webkitgtk-2.44.0/Source/WebCore/crypto/SubtleCrypto.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/SubtleCrypto.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/SubtleCrypto.cpp	2024-03-26 13:31:44.450849462 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "SubtleCrypto.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "ContextDestructionObserverInlines.h"
 #include "CryptoAlgorithm.h"
 #include "CryptoAlgorithmRegistry.h"
@@ -66,7 +68,7 @@ SubtleCrypto::SubtleCrypto(ScriptExecuti
 
 SubtleCrypto::~SubtleCrypto() = default;
 
-enum class Operations : uint8_t {
+enum class Operations {
     Encrypt,
     Decrypt,
     Sign,
@@ -1279,4 +1281,6 @@ void SubtleCrypto::unwrapKey(JSC::JSGlob
     unwrapAlgorithm->decrypt(*unwrapParams, unwrappingKey, WTFMove(wrappedKey), WTFMove(callback), WTFMove(exceptionCallback), *scriptExecutionContext(), m_workQueue);
 }
 
-} // namespace WebCore
+}
+
+#endif
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/SubtleCrypto.h webkitgtk-2.44.0/Source/WebCore/crypto/SubtleCrypto.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/SubtleCrypto.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/SubtleCrypto.h	2024-03-26 13:31:44.450849462 -0500
@@ -25,6 +25,8 @@
 
 #pragma once
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "ContextDestructionObserver.h"
 #include "CryptoKeyFormat.h"
 #include <JavaScriptCore/Strong.h>
@@ -48,7 +50,7 @@ class BufferSource;
 class CryptoKey;
 class DeferredPromise;
 
-enum class CryptoAlgorithmIdentifier : uint8_t;
+enum class CryptoAlgorithmIdentifier;
 enum class CryptoKeyUsage;
 
 class SubtleCrypto : public ContextDestructionObserver, public RefCounted<SubtleCrypto>, public CanMakeWeakPtr<SubtleCrypto> {
@@ -84,4 +86,6 @@ private:
     HashMap<DeferredPromise*, Ref<DeferredPromise>> m_pendingPromises;
 };
 
-} // namespace WebCore
+}
+
+#endif
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/SubtleCrypto.idl webkitgtk-2.44.0/Source/WebCore/crypto/SubtleCrypto.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/SubtleCrypto.idl	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/SubtleCrypto.idl	2024-03-26 13:31:44.450849462 -0500
@@ -28,6 +28,7 @@ enum KeyFormat { "raw", "spki", "pkcs8",
 typedef (object or DOMString) AlgorithmIdentifier;
 
 [
+    Conditional=WEB_CRYPTO,
     Exposed=(Window,Worker),
     GenerateIsReachable=ImplScriptExecutionContext,
     SecureContext,
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/dom/Document.cpp webkitgtk-2.44.0/Source/WebCore/dom/Document.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/dom/Document.cpp	2024-03-16 01:47:05.620925200 -0500
+++ webkitgtk-2.44.0/Source/WebCore/dom/Document.cpp	2024-03-26 13:31:44.454182824 -0500
@@ -8791,6 +8791,8 @@ void Document::ensurePlugInsInjectedScri
     m_hasInjectedPlugInsScript = true;
 }
 
+#if ENABLE(WEB_CRYPTO)
+
 bool Document::wrapCryptoKey(const Vector<uint8_t>& key, Vector<uint8_t>& wrappedKey)
 {
     RefPtr page = this->page();
@@ -8803,6 +8805,8 @@ bool Document::unwrapCryptoKey(const Vec
     return page && page->chrome().client().unwrapCryptoKey(wrappedKey, key);
 }
 
+#endif // ENABLE(WEB_CRYPTO)
+
 Element* Document::activeElement()
 {
     if (Element* element = treeScope().focusedElementInScope())
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/dom/Document.h webkitgtk-2.44.0/Source/WebCore/dom/Document.h
--- webkitgtk-2.44.0.atk/Source/WebCore/dom/Document.h	2024-03-16 01:47:05.624925100 -0500
+++ webkitgtk-2.44.0/Source/WebCore/dom/Document.h	2024-03-26 13:31:44.457516187 -0500
@@ -1583,8 +1583,10 @@ public:
 
     void setVisualUpdatesAllowedByClient(bool);
 
+#if ENABLE(WEB_CRYPTO)
     bool wrapCryptoKey(const Vector<uint8_t>& key, Vector<uint8_t>& wrappedKey) final;
     bool unwrapCryptoKey(const Vector<uint8_t>& wrappedKey, Vector<uint8_t>& key) final;
+#endif
 
     void setHasStyleWithViewportUnits() { m_hasStyleWithViewportUnits = true; }
     bool hasStyleWithViewportUnits() const { return m_hasStyleWithViewportUnits; }
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/dom/EmptyScriptExecutionContext.h webkitgtk-2.44.0/Source/WebCore/dom/EmptyScriptExecutionContext.h
--- webkitgtk-2.44.0.atk/Source/WebCore/dom/EmptyScriptExecutionContext.h	2024-03-16 01:45:50.140671700 -0500
+++ webkitgtk-2.44.0/Source/WebCore/dom/EmptyScriptExecutionContext.h	2024-03-26 13:31:44.457516187 -0500
@@ -75,8 +75,10 @@ public:
     void postTask(Task&&) final { ASSERT_NOT_REACHED(); }
     EventTarget* errorEventTarget() final { return nullptr; };
 
+#if ENABLE(WEB_CRYPTO)
     bool wrapCryptoKey(const Vector<uint8_t>&, Vector<uint8_t>&) final { return false; }
     bool unwrapCryptoKey(const Vector<uint8_t>&, Vector<uint8_t>&) final { return false; }
+#endif
 
     JSC::VM& vm() final { return m_vm; }
 
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/dom/ScriptExecutionContext.h webkitgtk-2.44.0/Source/WebCore/dom/ScriptExecutionContext.h
--- webkitgtk-2.44.0.atk/Source/WebCore/dom/ScriptExecutionContext.h	2024-03-16 01:45:50.156671800 -0500
+++ webkitgtk-2.44.0/Source/WebCore/dom/ScriptExecutionContext.h	2024-03-26 13:31:44.457516187 -0500
@@ -274,11 +274,13 @@ public:
     DatabaseContext* databaseContext() { return m_databaseContext.get(); }
     void setDatabaseContext(DatabaseContext*);
 
+#if ENABLE(WEB_CRYPTO)
     // These two methods are used when CryptoKeys are serialized into IndexedDB. As a side effect, it is also
     // used for things that utilize the same structure clone algorithm, for example, message passing between
     // worker and document.
     virtual bool wrapCryptoKey(const Vector<uint8_t>& key, Vector<uint8_t>& wrappedKey) = 0;
     virtual bool unwrapCryptoKey(const Vector<uint8_t>& wrappedKey, Vector<uint8_t>& key) = 0;
+#endif
 
     int timerNestingLevel() const { return m_timerNestingLevel; }
     void setTimerNestingLevel(int timerNestingLevel) { m_timerNestingLevel = timerNestingLevel; }
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/page/ChromeClient.h webkitgtk-2.44.0/Source/WebCore/page/ChromeClient.h
--- webkitgtk-2.44.0.atk/Source/WebCore/page/ChromeClient.h	2024-03-16 01:45:50.308671500 -0500
+++ webkitgtk-2.44.0/Source/WebCore/page/ChromeClient.h	2024-03-26 13:31:44.460849550 -0500
@@ -548,8 +548,10 @@ public:
     virtual void isPlayingMediaDidChange(MediaProducerMediaStateFlags) { }
     virtual void handleAutoplayEvent(AutoplayEvent, OptionSet<AutoplayEventFlags>) { }
 
+#if ENABLE(WEB_CRYPTO)
     virtual bool wrapCryptoKey(const Vector<uint8_t>&, Vector<uint8_t>&) const { return false; }
     virtual bool unwrapCryptoKey(const Vector<uint8_t>&, Vector<uint8_t>&) const { return false; }
+#endif
 
 #if ENABLE(TELEPHONE_NUMBER_DETECTION) && PLATFORM(MAC)
     virtual void handleTelephoneNumberClick(const String&, const IntPoint&, const IntRect&) { }
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/page/Crypto.cpp webkitgtk-2.44.0/Source/WebCore/page/Crypto.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/page/Crypto.cpp	2024-03-16 01:45:50.308671500 -0500
+++ webkitgtk-2.44.0/Source/WebCore/page/Crypto.cpp	2024-03-26 13:31:44.460849550 -0500
@@ -46,7 +46,9 @@ namespace WebCore {
 
 Crypto::Crypto(ScriptExecutionContext* context)
     : ContextDestructionObserver(context)
+#if ENABLE(WEB_CRYPTO)
     , m_subtle(SubtleCrypto::create(context))
+#endif
 {
 }
 
@@ -72,9 +74,13 @@ String Crypto::randomUUID() const
     return createVersion4UUIDString();
 }
 
+#if ENABLE(WEB_CRYPTO)
+
 SubtleCrypto& Crypto::subtle()
 {
     return m_subtle;
 }
 
-} // namespace WebCore
+#endif
+
+}
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/page/Crypto.h webkitgtk-2.44.0/Source/WebCore/page/Crypto.h
--- webkitgtk-2.44.0.atk/Source/WebCore/page/Crypto.h	2024-03-16 01:45:50.308671500 -0500
+++ webkitgtk-2.44.0/Source/WebCore/page/Crypto.h	2024-03-26 13:31:44.460849550 -0500
@@ -48,12 +48,16 @@ public:
     ExceptionOr<void> getRandomValues(JSC::ArrayBufferView&);
     String randomUUID() const;
 
+#if ENABLE(WEB_CRYPTO)
     SubtleCrypto& subtle();
+#endif
 
 private:
     Crypto(ScriptExecutionContext*);
 
+#if ENABLE(WEB_CRYPTO)
     Ref<SubtleCrypto> m_subtle;
+#endif
 };
 
 }
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/page/Crypto.idl webkitgtk-2.44.0/Source/WebCore/page/Crypto.idl
--- webkitgtk-2.44.0.atk/Source/WebCore/page/Crypto.idl	2024-03-16 01:45:50.308671500 -0500
+++ webkitgtk-2.44.0/Source/WebCore/page/Crypto.idl	2024-03-26 13:31:44.460849550 -0500
@@ -31,7 +31,7 @@
     Exposed=(Window,Worker),
     GenerateIsReachable=ImplScriptExecutionContext
 ] interface Crypto {
-    [SecureContext] readonly attribute SubtleCrypto subtle;
+    [Conditional=WEB_CRYPTO, SecureContext] readonly attribute SubtleCrypto subtle;
     ArrayBufferView getRandomValues([ReturnValue] ArrayBufferView array);
     [SecureContext] DOMString randomUUID();
 };
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/PAL/pal/PlatformGTK.cmake webkitgtk-2.44.0/Source/WebCore/PAL/pal/PlatformGTK.cmake
--- webkitgtk-2.44.0.atk/Source/WebCore/PAL/pal/PlatformGTK.cmake	2024-03-16 01:45:49.916672200 -0500
+++ webkitgtk-2.44.0/Source/WebCore/PAL/pal/PlatformGTK.cmake	2024-03-26 13:31:44.460849550 -0500
@@ -3,16 +3,12 @@ list(APPEND PAL_PUBLIC_HEADERS
     crypto/gcrypt/Initialization.h
     crypto/gcrypt/Utilities.h
 
-    crypto/tasn1/Utilities.h
-
     system/glib/SleepDisablerGLib.h
 )
 
 list(APPEND PAL_SOURCES
     crypto/gcrypt/CryptoDigestGCrypt.cpp
 
-    crypto/tasn1/Utilities.cpp
-
     system/ClockGeneric.cpp
 
     system/glib/SleepDisablerGLib.cpp
@@ -24,6 +20,16 @@ list(APPEND PAL_SOURCES
     unix/LoggingUnix.cpp
 )
 
+if (ENABLE_WEB_CRYPTO)
+    list(APPEND PAL_PUBLIC_HEADERS
+        crypto/tasn1/Utilities.h
+    )
+
+    list(APPEND PAL_SOURCES
+        crypto/tasn1/Utilities.cpp
+    )
+endif ()
+
 list(APPEND PAL_LIBRARIES
     GTK::GTK
 )
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/platform/GCrypt.cmake webkitgtk-2.44.0/Source/WebCore/platform/GCrypt.cmake
--- webkitgtk-2.44.0.atk/Source/WebCore/platform/GCrypt.cmake	2024-03-16 01:45:50.356671600 -0500
+++ webkitgtk-2.44.0/Source/WebCore/platform/GCrypt.cmake	2024-03-26 13:31:44.460849550 -0500
@@ -1,6 +1,8 @@
-list(APPEND WebCore_UNIFIED_SOURCE_LIST_FILES
-    "platform/SourcesGCrypt.txt"
-)
+if (ENABLE_WEB_CRYPTO)
+    list(APPEND WebCore_UNIFIED_SOURCE_LIST_FILES
+        "platform/SourcesGCrypt.txt"
+    )
+endif ()
 
 list(APPEND WebCore_LIBRARIES
     LibGcrypt::LibGcrypt
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/platform/LocalizedStrings.cpp webkitgtk-2.44.0/Source/WebCore/platform/LocalizedStrings.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/platform/LocalizedStrings.cpp	2024-03-16 01:45:50.360671500 -0500
+++ webkitgtk-2.44.0/Source/WebCore/platform/LocalizedStrings.cpp	2024-03-26 13:31:44.460849550 -0500
@@ -1447,11 +1447,17 @@ String useBlockedPlugInContextMenuTitle(
     return WEB_UI_STRING("Show in blocked plug-in", "Title of the context menu item to show when PDFPlugin was used instead of a blocked plugin");
 }
 
-#if PLATFORM(COCOA)
+#if ENABLE(WEB_CRYPTO) && PLATFORM(COCOA)
 
 String webCryptoMasterKeyKeychainLabel(const String& localizedApplicationName)
 {
+#if PLATFORM(COCOA)
     return WEB_UI_FORMAT_CFSTRING("%@ WebCrypto Master Key", "Name of application's single WebCrypto master key in Keychain", localizedApplicationName.createCFString().get());
+#elif USE(GLIB)
+    return WEB_UI_FORMAT_STRING("%s WebCrypto Master Key", "Name of application's single WebCrypto master key in Keychain", localizedApplicationName.utf8().data());
+#else
+    return makeStringByReplacingAll(WEB_UI_STRING("<application> WebCrypto Master Key", "Name of application's single WebCrypto master key in Keychain"), "<application>"_s, localizedApplicationName);
+#endif
 }
 
 String webCryptoMasterKeyKeychainComment()
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/platform/LocalizedStrings.h webkitgtk-2.44.0/Source/WebCore/platform/LocalizedStrings.h
--- webkitgtk-2.44.0.atk/Source/WebCore/platform/LocalizedStrings.h	2024-03-16 01:45:50.360671500 -0500
+++ webkitgtk-2.44.0/Source/WebCore/platform/LocalizedStrings.h	2024-03-26 13:31:44.464182913 -0500
@@ -369,7 +369,7 @@ namespace WebCore {
 
     WEBCORE_EXPORT String useBlockedPlugInContextMenuTitle();
 
-#if PLATFORM(COCOA)
+#if ENABLE(WEB_CRYPTO) && PLATFORM(COCOA)
     String webCryptoMasterKeyKeychainLabel(const String& localizedApplicationName);
     String webCryptoMasterKeyKeychainComment();
 #endif
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/platform/OpenSSL.cmake webkitgtk-2.44.0/Source/WebCore/platform/OpenSSL.cmake
--- webkitgtk-2.44.0.atk/Source/WebCore/platform/OpenSSL.cmake	2024-03-16 01:45:50.360671500 -0500
+++ webkitgtk-2.44.0/Source/WebCore/platform/OpenSSL.cmake	2024-03-26 13:31:44.464182913 -0500
@@ -1,3 +1,4 @@
+if (ENABLE_WEB_CRYPTO)
 list(APPEND WebCore_SOURCES
     crypto/openssl/CryptoAlgorithmAESCBCOpenSSL.cpp
     crypto/openssl/CryptoAlgorithmAESCFBOpenSSL.cpp
@@ -19,3 +20,4 @@ list(APPEND WebCore_SOURCES
     crypto/openssl/OpenSSLUtilities.cpp
     crypto/openssl/SerializedCryptoKeyWrapOpenSSL.cpp
 )
+endif
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/workers/WorkerGlobalScope.cpp webkitgtk-2.44.0/Source/WebCore/workers/WorkerGlobalScope.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/workers/WorkerGlobalScope.cpp	2024-03-16 01:45:50.700671000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/workers/WorkerGlobalScope.cpp	2024-03-26 13:31:44.467516276 -0500
@@ -471,6 +471,8 @@ void WorkerGlobalScope::addMessage(Messa
     InspectorInstrumentation::addMessageToConsole(*this, WTFMove(message));
 }
 
+#if ENABLE(WEB_CRYPTO)
+
 bool WorkerGlobalScope::wrapCryptoKey(const Vector<uint8_t>& key, Vector<uint8_t>& wrappedKey)
 {
     Ref protectedThis { *this };
@@ -505,6 +507,8 @@ bool WorkerGlobalScope::unwrapCryptoKey(
     return success;
 }
 
+#endif // ENABLE(WEB_CRYPTO)
+
 Crypto& WorkerGlobalScope::crypto()
 {
     if (!m_crypto)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/workers/WorkerGlobalScope.h webkitgtk-2.44.0/Source/WebCore/workers/WorkerGlobalScope.h
--- webkitgtk-2.44.0.atk/Source/WebCore/workers/WorkerGlobalScope.h	2024-03-16 01:45:50.700671000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/workers/WorkerGlobalScope.h	2024-03-26 13:31:44.467516276 -0500
@@ -203,8 +203,10 @@ private:
 
     bool shouldBypassMainWorldContentSecurityPolicy() const final { return m_shouldBypassMainWorldContentSecurityPolicy; }
 
+#if ENABLE(WEB_CRYPTO)
     bool wrapCryptoKey(const Vector<uint8_t>& key, Vector<uint8_t>& wrappedKey) final;
     bool unwrapCryptoKey(const Vector<uint8_t>& wrappedKey, Vector<uint8_t>& key) final;
+#endif
 
     void stopIndexedDatabase();
 
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/worklets/WorkletGlobalScope.h webkitgtk-2.44.0/Source/WebCore/worklets/WorkletGlobalScope.h
--- webkitgtk-2.44.0.atk/Source/WebCore/worklets/WorkletGlobalScope.h	2024-03-16 01:45:50.708670900 -0500
+++ webkitgtk-2.44.0/Source/WebCore/worklets/WorkletGlobalScope.h	2024-03-26 13:31:44.467516276 -0500
@@ -106,8 +106,10 @@ private:
 
     EventTarget* errorEventTarget() final { return this; }
 
+#if ENABLE(WEB_CRYPTO)
     bool wrapCryptoKey(const Vector<uint8_t>&, Vector<uint8_t>&) final { RELEASE_ASSERT_NOT_REACHED(); return false; }
     bool unwrapCryptoKey(const Vector<uint8_t>&, Vector<uint8_t>&) final { RELEASE_ASSERT_NOT_REACHED(); return false; }
+#endif
     URL completeURL(const String&, ForceUTF8 = ForceUTF8::No) const final;
     String userAgent(const URL&) const final;
     const Settings::Values& settingsValues() const final { return m_settingsValues; }
diff -urp webkitgtk-2.44.0.atk/Source/WebKit/UIProcess/API/C/WKPage.cpp webkitgtk-2.44.0/Source/WebKit/UIProcess/API/C/WKPage.cpp
--- webkitgtk-2.44.0.atk/Source/WebKit/UIProcess/API/C/WKPage.cpp	2024-03-16 01:45:50.964670700 -0500
+++ webkitgtk-2.44.0/Source/WebKit/UIProcess/API/C/WKPage.cpp	2024-03-26 13:31:44.467516276 -0500
@@ -2349,10 +2349,14 @@ void WKPageSetPageNavigationClient(WKPag
             if (m_client.copyWebCryptoMasterKey)
                 return adoptRef(toImpl(m_client.copyWebCryptoMasterKey(toAPI(&page), m_client.base.clientInfo)));
 
+#if ENABLE(WEB_CRYPTO)
             auto masterKey = defaultWebCryptoMasterKey();
             if (!masterKey)
                 return nullptr;
             return API::Data::create(WTFMove(*masterKey));
+#else
+            return API::Data::create(nullptr, 0);
+#endif
         }
 
         void navigationActionDidBecomeDownload(WebKit::WebPageProxy& page, API::NavigationAction& action, WebKit::DownloadProxy& download) override
